#ifndef _FD_INPUT_
#define _FD_INPUT_

typedef struct Input Input;

#include <raylib.h>
#include "game.h"
#include "log.h"
#define INPUT_BUFFER_MAX_LENGTH 80

struct Input {
  char command; // Don't move this
  char input_buffer[INPUT_BUFFER_MAX_LENGTH];
  int input_length;
  Vector2 position;
  Log *log;
  Game *g;
};

void handle_pressed_keys(Input*);
void draw_text(Input*);
Input *create_input(Vector2);
void free_input(Input*);

#endif
